Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360383 - python-watchdog is missing some requires
Summary: python-watchdog is missing some requires
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-watchdog
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1361410 1366354
Blocks: 1360394
TreeView+ depends on / blocked
 
Reported: 2016-07-26 14:46 UTC by Julien Enselme
Modified: 2016-08-27 10:38 UTC (History)
2 users (show)

Fixed In Version: python-watchdog-0.8.2-5.fc24 python-watchdog-0.8.2-4.fc23 python-watchdog-0.8.3-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-22 16:52:36 UTC


Attachments (Terms of Use)
Update to 0.8.3 (deleted)
2016-08-11 17:57 UTC, Julien Enselme
no flags Details | Diff
Update to 0.8.3 (deleted)
2016-08-11 18:06 UTC, Julien Enselme
no flags Details | Diff

Description Julien Enselme 2016-07-26 14:46:38 UTC
Description of problem:
python-watchdog is missing some requires. Because of this, some packages that depends on it may not work correctly.

Version-Release number of selected component (if applicable): 0.8.2-4.fc24


Missing requires that I found, based on setup.py:
- python-pathtools
- python-argh
- python-PyYAML

BTW, 0.8.3 is out.

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-08-11 01:53:13 UTC
It's also missing P:python2-watchdog. Would be nice to convert to %python_provide when updating.

Comment 2 Julien Enselme 2016-08-11 17:57:03 UTC
I managed to make the update:
* Thu Aug 11 2016 Julien Enselme <jujens@jujens.eu> - 0.8.3-1
- Update to 0.8.3
- Correct requires
- Update to follow new Python packaging guidelines
- Always build with Python 3

The patch for the spec is attached.

SPEC URL: http://dl.jujens.eu/SPECS/python-watchdog.spec
SPRM: http://dl.jujens.eu/SRPMS/python-watchdog-0.8.3-1.fc24.src.rpm 

PS: I have requested commit access to this package via pkgdb.

Comment 3 Julien Enselme 2016-08-11 17:57:52 UTC
Created attachment 1190118 [details]
Update to 0.8.3

Comment 4 Julien Enselme 2016-08-11 18:06:21 UTC
Created attachment 1190119 [details]
Update to 0.8.3

With %license macro

Comment 5 Julien Enselme 2016-08-11 18:14:54 UTC
This requires pytest-timeout to launch the tests. Add the review to the list of dependent bugs

Comment 6 Pierre-YvesChibon 2016-08-11 18:17:49 UTC
I granted you access in pkgdb.

Should we just update rawhide and F25?

Comment 7 Julien Enselme 2016-08-11 18:55:55 UTC
> I granted you access in pkgdb.

Thanks

> Should we just update rawhide and F25?

We should at least provide an update that fix the missing requirement on f24 and f23.

The 0.8.3 + SPEC update can be rawhide and F25 only.

Do you want me to do that?

Comment 8 Pierre-YvesChibon 2016-08-11 19:06:02 UTC
(In reply to Julien Enselme from comment #7)
> Do you want me to do that?

Sure go ahead, let me know if you need help with anything :)

Comment 9 Fedora Update System 2016-08-12 08:02:20 UTC
python-watchdog-0.8.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-defcff7e8d

Comment 10 Fedora Update System 2016-08-12 08:12:39 UTC
python-watchdog-0.8.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7b7abf6b7f

Comment 11 Fedora Update System 2016-08-12 08:28:32 UTC
python-watchdog-0.8.2-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4bfa0d21a6

Comment 12 Fedora Update System 2016-08-12 08:41:02 UTC
python-watchdog-0.8.2-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6346eb2da

Comment 13 Fedora Update System 2016-08-12 14:27:18 UTC
python-watchdog-0.8.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-defcff7e8d

Comment 14 Fedora Update System 2016-08-12 20:52:01 UTC
python-watchdog-0.8.2-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6346eb2da

Comment 15 Fedora Update System 2016-08-12 20:52:05 UTC
python-watchdog-0.8.2-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4bfa0d21a6

Comment 16 Fedora Update System 2016-08-22 16:52:33 UTC
python-watchdog-0.8.2-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-08-22 19:20:18 UTC
python-watchdog-0.8.2-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-08-27 10:38:27 UTC
python-watchdog-0.8.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.